Bug 1263850 - [Docs] [Director] Requesting Clarification in Openstack Overcloud/Ceph Documentation
[Docs] [Director] Requesting Clarification in Openstack Overcloud/Ceph Docume...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
x86_64 Linux
medium Severity medium
: y2
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 17:24 EDT by Justin Bautista
Modified: 2015-10-06 21:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-06 21:49:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Bautista 2015-09-16 17:24:59 EDT
Description of problem:

Customer required clarification on a note included in the OpenStack docs, specifically:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Configuring_Ceph_Storage

> The director does not create partitions on the journal disk. Manually create the journal partitions before installing Ceph storage servers.
The Ceph Storage OSDs and journals partitions require GPT disk labels, which you also configure prior to customization. For example, use the following command on the potential Ceph Storage host to create a GPT disk label for a disk or partition.

The wording in the document left them confused & felt that the document was suggesting that they create journal partitions before installing Ceph storage servers. It was not clear that those steps need to be taken before the director deployment on the storage nodes (with a separate image).

Filing this BZ in hopes that the wording in this section of the document could be made more clear & possibly provide the process.
===================================================================

Possibly something like the following:

"The director does not create partitions on the journal disk. The journal disk partition will need to be manually created before Director can deploy the storage nodes. The Ceph Storage OSDs and journal partitions require GPT disk labels, which you also configure prior to customization. For example, use the following command on the potential Ceph Storage host to create a GPT disk label for a disk or partition:"

  <example>
Comment 3 Andrew Dahms 2015-09-23 19:04:10 EDT
Assigning to Dan for review.
Comment 5 Dan Macpherson 2015-09-27 21:43:04 EDT
The note now reads:

== Important ==
The director does not create partitions on the journal disk. You must manually create these journal partitions before the Director can deploy the Ceph Storage nodes.
The Ceph Storage OSDs and journals partitions require GPT disk labels, which you also configure prior to customization. For example, use the following command on the potential Ceph Storage host to create a GPT disk label for a disk or partition:

# parted [device] mklabel gpt


Link to text: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Configuring_Ceph_Storage

Justin, how does the note read now? Is it clearer? Did you have any other suggestions for changes?
Comment 7 Dan Macpherson 2015-10-06 21:49:36 EDT
Awesome! Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.